import request from '@/plugin/axios'

//查询权限集合
export function getUserByPage (data) {
  return request({
    url: '/authority/getAuthorityByPage',
    method: 'post',
    data
  })
}

//查询组织机构树
export function TreeNode (data) {
  return request({
    url: '/tree/getOriginTrees',
    method: 'post',
    data
  })
}
//查询组织机构树
export function TreeXNode (data) {
  return request({
    url: '/tree/getOriginTrees',
    method: 'post',
    data
  })
}
//删除权限集合
export function delUserAuthority (data) {
  return request({
    url: '/authority/delAuthority',
    method: 'post',
    data
  })
}
//保存
export function saveUserAuthority (data) {
  return request({
    url: '/authority/saveAuthority',
    method: 'post',
    data
  })
}